/**
 *   ОТПРАВКА E-MAIL
 *   Copyright © 2021, А.М.Гольдин. ISC license
 */
"use strict";

// Настройки (имя сервера, пароль и пр.) - в config.json
// Возвращает messageId или false
// Вызов: let resEml = await sendEml("vasya@pupkin.ru", "Тема", "Текст письма")
const mailer = require("nodemailer");
module.exports = async (rcpt, subj, body) => {

   body += "\n\nС уважением,\nредакция сайта lycArch.urfu.ru.\n\n"
         + "-----\nДанное письмо сгенерировано автоматически, пожалуйста, не "
         + "отвечайте на него. Если вы получили письмо по ошибке, либо хотите "
         + "связаться с редакцией сайта, используйте email lycarch@urfu.ru\n";

   // Временная заглушка
   // console.info(`\n===Письмо\n${rcpt}\n${subj}\n${body}`);
   // return "id-000222";
   // ---


   try {
      let transp = mailer.createTransport({
         host: SMTPSRV, port: SMTPPORT, secure: false,
         auth: {user: SMTPUS, pass: SMTPPWD}
      });

      let replAddr = `"Архив публикаций СУНЦ" <${SMTPUS}@`
                   + `${SMTPSRV.split('.').slice(1).join('.')}>`,
          bodyHTML = "<p>"
                   + body.replace(/\r/g, '').replace(/\n/g, "<br>")
                   + "</p>";

      let res = await transp.sendMail({
         from: replAddr, to: rcpt, subject: subj,
         text: body, html: bodyHTML
      });

      return res.messageId;
   }
   catch(e) {return false;}
};
